Bug 466935 - Snap1 i686 live keyboard layout selection does not affect gnome
Snap1 i686 live keyboard layout selection does not affect gnome
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 12:07 EDT by Till Maas
Modified: 2015-01-14 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 09:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-10-14 12:07:57 EDT
Description of problem:
After I selected my keyboard layout in gnome (German layout) and login, the umlauts do not work, i.e. I do not have a German layout for the keyboard. Using system-config-keyboard works. I also do not have a German layout when I try to enter a custom username.

Version-Release number of selected component (if applicable):
F10 Snap1 i686 live gdm

How reproducible:
always

Steps to Reproduce:
1. Boot  F10 Snap1 i686 live
2. Select german keyboard
3. abort autologin and select other to get a textbox
4. press the key z or y
  
Actual results:
Users with a qwertz (German) keyboard, get a z if they press y and vice versa. Users with a qwerty keyboard get a z if they press z.

Expected results:
qwertz users should get the key displayed they press, qwerty users should get a z if they press a y and vice versa.

Additional info:
The keyboard layout selections seems not to match the system-config-keyboard layout selection list, which is irritating.
Comment 1 Matthias Clasen 2008-10-14 14:14:13 EDT
Please try again with current rawhide/the next snapshot.
I've fixed a problem with transferring the layout from the login screen to the session.
Comment 2 Till Maas 2008-10-14 15:55:58 EDT
Afaics there is no newer build for gdm than the one in Snap1: gdm-2.24.0-8.fc10
Comment 3 Matthias Clasen 2008-10-14 21:26:18 EDT
True. 
I've fixed the bug in gnome-settings-daemon.
Comment 4 Till Maas 2008-10-15 04:27:06 EDT
It seems that there were two bugs, with gnome-settings-daemon-2.24.0-13.fc10 the keyboard works as expected in the gdm textbox (see steps to Reproduce in the initial comment).

Here is the second issue, where the keyboard layout is not adjusted:

Steps to Reproduce:
1. Boot  F10 Snap1 i686 live
2. Select german keyboard
3. login
4. Open a terminal (Applications -> System Tools -> Terminal)
5. press the key z or y

Actual results:
Users with a qwertz (German) keyboard, get a z if they press y and vice versa.
Users with a qwerty keyboard get a z if they press z.

Expected results:
qwertz users should get the key displayed they press, qwerty users should get a
z if they press a y and vice versa.
Comment 5 Till Maas 2008-11-06 17:41:56 EST
It works with the F10 Preview i686 Live.

Note You need to log in before you can comment on or make changes to this bug.